Package org.postgresql.hostchooser

# Class GlobalHostStatusTracker

java.lang.Object
org.postgresql.hostchooser.GlobalHostStatusTracker

public class GlobalHostStatusTracker extends Object
Keeps track of HostSpec targets in a global map.

## Constructor Summary

Constructors
Constructor
Description
`GlobalHostStatusTracker()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`reportHostStatus(HostSpec hostSpec, HostStatus hostStatus)`
Store the actual observed host status.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GlobalHostStatusTracker

public GlobalHostStatusTracker()

## Method Details

### reportHostStatus

public static void reportHostStatus(HostSpec hostSpec, HostStatus hostStatus)
Store the actual observed host status.

Parameters:
  `hostSpec` - The host whose status is known.
  `hostStatus` - Latest known status for the host.